AbstractReassociateEventListener (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.event.internal
Class AbstractReassociateEventListener

    java.lang.Object
      org.hibernate.event.internal.AbstractReassociateEventListener

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  AbstractLockUpgradeEventListener, AbstractSaveEventListener

    public class AbstractReassociateEventListener

extends Object
implements Serializable

A convenience base class for listeners that respond to requests to reassociate an entity to a session ( such as through lock() or update() ).

See Also:
  Serialized Form

Constructor Summary
`AbstractReassociateEventListener()`

Method Summary
`protected EntityEntry` | `reassociate(AbstractEvent event, Object object, Serializable id, EntityPersister persister)` Associates a given entity (either transient or associated with another session) to the given session.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractReassociateEventListener

    public AbstractReassociateEventListener()

Method Detail

### reassociate

    protected final EntityEntry reassociate(AbstractEvent event,
                                            Object object,
                                            Serializable id,
                                            EntityPersister persister)

  Associates a given entity (either transient or associated with another session) to the given session.

  Parameters:
    `event` - The event triggering the re-association
    `object` - The entity to be associated
    `id` - The id of the entity.
    `persister` - The entity's persister instance.
  Returns:
    An EntityEntry representing the entity within this session.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.